
Redmine - Defect #23700

Creating a wiki page named "Sidebar" without proper permission raises an exception

2016-08-28 03:24 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

Steps to reproduce:

1. Login with an account which does not have "Protect wiki pages" on some project.

2. Go to the project.

3. Click "+" button and then click "New wiki page".

4. Enter "Sidebar" in the title field and click "Next".

5. Redmine raises an exception.

Completed 500 Internal Server Error in 48ms (Views: 13.8ms | ActiveRecord: 13.6ms)

ActionController::UrlGenerationError (No route matches {:action=>"show", :controller=>"wiki", :id=

>"Sidebar", :project_id=>nil} missing required keys: [:project_id]):

  app/controllers/wiki_controller.rb:71:in `new'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Associated revisions

Revision 15749 - 2016-08-30 21:21 - Jean-Philippe Lang

Creating a wiki page named "Sidebar" without proper permission raises an exception (#23700).

Revision 15771 - 2016-08-31 18:56 - Jean-Philippe Lang

Merged r15749 (#23700).

Revision 15793 - 2016-09-01 07:44 - Toshi MARUYAMA

3.3-stable: fix test failure (#23700)

History

#1 - 2016-08-28 05:53 - Toshi MARUYAMA

- Target version set to 3.3.1

#2 - 2016-08-30 21:21 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15749.

#3 - 2016-08-31 18:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/15749
http://www.tcpdf.org

